# Transaction Analyzer

`Transaction Analyzer` — это Python-пакет для анализа финансовых транзакций компании. Он загружает данные о доходах и расходах из CSV-файла, группирует их по категориям и генерирует отчёт с общей суммой для каждой категории.

## Функциональность

- **Загрузка данных**: Чтение транзакций из CSV-файла, содержащего информацию о доходах и расходах.
- **Группировка по категориям**: Автоматическая сортировка транзакций на две основные категории: "Доходы" и "Расходы".
- **Генерация отчёта**: Вывод общего объёма доходов и расходов по каждой категории.
- **CLI-интерфейс**: Поддержка командной строки для удобного указания входного и выходного файлов.

## Установка

Для использования пакета установите его из исходного кода:

```bash
pip install transcat
python -m transcat
```
- Загружает данные о транзакциях из CSV-файла и группирует их по категориям.

- Выводит общий объём транзакций для каждой категории.

- Поддерживает запуск через командную строку с опциями:
  - `--input-file` для указания входного файла `.сsv`,
  - `--output-file` для указания выходного файла `.txt`.

Пример выходного отчёта:

```text
Доход: 8000 руб.
Расход: 3000 руб.
```

